%define packname  qvalue

Name:             R-%{packname}
Version:          1.12.0
Release:          2%{?dist}
Summary:          Q-value estimation for false discovery rate control 

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://bioconductor.org/packages/2.1/bioc/html/qvalue.html
Source0:          http://bioconductor.org/packages/2.1/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

Requires:         R
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel tetex-latex 

%description
It takes a list of p-values resulting from the simultaneous 
testing of many hypotheses and estimates their q-values. 
The q-value of a test measures the proportion of false positives 
incurred (called the false discovery rate) when that particular 
test is called significant. Various plots are automatically 
generated, allowing one to make sensible significance cut-offs. 
Several mathematical results have recently been shown on the 
conservative accuracy of the estimated q-values from this software. 
The software can be applied to problems in genomics, brain imaging, 
astrophysics, and data mining.

This package is a part of the Bioconductor (bioconductor.org) project.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

sed -i -e 's/\r$//' %{packname}/inst/doc/qvalue.Rnw
sed -i -e 's/\r$//' %{packname}/inst/doc/qvalue.bib
sed -i -e 's/\r$//' %{packname}/inst/doc/qHist.eps
sed -i -e 's/\r$//' %{packname}/inst/doc/pHist.eps
sed -i -e 's/\r$//' %{packname}/inst/doc/qPlots.eps

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

chmod -x %{buildroot}%{_datadir}/R/library/%{packname}/doc/*

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/man
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help


%changelog
* Tue Jan 08 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-2
- Fix problem on the doc

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-1
- Initial package for Fedora
